Bug 544531

Summary: Review Request: xvkbd - Virtual Keyboard for X Window System
Product: [Fedora] Fedora Reporter: Akio Idehara <zbe64533>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, herrold, i, mtasaka, notting, yaneti
Target Milestone: ---Flags: mtasaka: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-01 09:17:36 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Akio Idehara 2009-12-05 03:55:27 EST
Spec URL: http://www.saturn.dti.ne.jp/~zbe64533/xvkbd.spec
SRPM URL: http://www.saturn.dti.ne.jp/~zbe64533/xvkbd-3.0-1.fc12.src.rpm
Description: 
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients
(softwares) by clicking on a keyboard displayed on the screen. This
may be used for systems without a hardware keyboard such as kiosk
terminals or handheld devices. This program also has facility to send
characters specified as the command line option to another client.

* This is my first package and I'm seeking a sponsor.
Comment 1 Yanko Kaneti 2009-12-05 04:17:25 EST
Previous (failed) review request for it, for reference - bug 405161
Comment 2 Akio Idehara 2009-12-05 11:16:51 EST
Thank you for commenting.
I checked comments and linked review guideline.
And I updated the package to include desktop files.

Spec URL: http://www.saturn.dti.ne.jp/~zbe64533/xvkbd.spec
SRPM URL: http://www.saturn.dti.ne.jp/~zbe64533/xvkbd-3.0-2.fc12.src.rpm
Comment 3 Mamoru TASAKA 2010-01-08 03:14:59 EST
Hello. Here are some notes:

* Build / Mock
  - Your srpm does not build.
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1908068

    You can use "mock" to check if your srpm actually builds
    within a "clean" buildroot:
    http://fedoraproject.org/wiki/Extras/MockTricks

    Some notes:
    - source code actually requires "libXaw-devel" header files,
      not "Xaw3d-devel", based on the current location of the header
      files
    - Also "BR (BuildRequires): libXtst-devel" is missing
    - By default this installs some file under /usr/lib/X11/app-defaults,
      even on 64 bit architecture.
      This causes build failure on x86_64 (for example) because even with
      the following line
--------------------------------------------------------------
%{__rm} -rf %{buildroot}/%{_libdir}/X11/app-defaults
--------------------------------------------------------------
      this cannot be deleted because on x86_64 %_libdir is expanded
      as /usr/lib64.
      I had to add "LIBDIR=%{_libdir}/X11" option to "make install"
    - Installed "normal" files should have 0644 permission,
      not 0444 permission. Modifying Makefile directly like
-------------------------------------------------------------
%{__sed} -i.mode -e 's|-m 0444|-m 0644|' Makefile
-------------------------------------------------------------
      after xmkmf is simpler.
    - Please keep timestamps on installed files as much as possible:
      http://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps
      - When using "cp" or "install" commands add "-p" option
      - Also please consider to add 'INSTALLFLAGS="-c -p"' to
        "make install"

* Source2
  - Would you write how you obtained Source2?

* Macros
  - Why do you also use %_datarootdir as well as %_datadir ?

* Desktop file
  - "fedora-" prefix on the name is no longer needed.
  - "Application" in Categories is deprecated and should be removed.

* %changelog
  - It is preferable (especially when using Fedora CVS system) to
    insert one line between each %changelog entry like:
--------------------------------------------------------------
%changelog
* Sat Dec 5 2009 Akio Idehara <zbe64533 at gmail.com> 3.0-2
- Add Desktop files

* Sat Dec 5 2009 Akio Idehara <zbe64533 at gmail.com> 3.0-1
- Initial RPM release
--------------------------------------------------------------
Comment 4 Akio Idehara 2010-01-08 11:54:54 EST
Hello Tasaka-san.

Thank you for a lot of comments!
The following is new version that fixes above bugs.
But I don't have 64-bit target, so I can't test it.

----------
Spec URL: http://sourceforge.jp/projects/xvkbd-fedora/downloads/45354/xvkbd.spec
SRPM URL: http://sourceforge.jp/projects/xvkbd-fedora/downloads/45355/xvkbd-3.0-3.fc12.src.rpm
----------

And I have one question about INSTALLFLAGS.
"man install" says that "-c" option is ignored.
So why I need to set the "-c" option in INSTALLFLAGS?
Comment 5 Mamoru TASAKA 2010-01-09 13:24:50 EST
For -3:

* About Source2:
  - Please specify the URL from which we can directly download
    Source2 (by "$ wget -N", for example). 
    Currently Source2 URL points to the URL of a html,
    not the actual png file.

  - By the way the reason I wrote "Would you write how you obtained 
    Source2?" is that I want to check what license this file is
    distributed under. Would you clarify this?

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 6 Mamoru TASAKA 2010-01-09 13:47:15 EST
(In reply to comment #4)
> And I have one question about INSTALLFLAGS.
> "man install" says that "-c" option is ignored.
> So why I need to set the "-c" option in INSTALLFLAGS?    

- No specificic reason. As the generated Makefile just uses
  "-c" option by default, I just added it.
Comment 7 Akio Idehara 2010-01-10 00:08:14 EST
Thank you for reviewing and accepting this package.
# Now I'm reading the above note carefully.

I clarified Source2 license under CC BY-SA 3.0.

Spec URL: http://jaist.dl.sourceforge.jp/xvkbd-fedora/45376/xvkbd.spec
SRPM URL: http://jaist.dl.sourceforge.jp/xvkbd-fedora/45377/xvkbd-3.0-4.fc12.src.rpm
Comment 8 Akio Idehara 2010-01-10 00:09:27 EST
(In reply to comment #6)
> (In reply to comment #4)
> > And I have one question about INSTALLFLAGS.
> > "man install" says that "-c" option is ignored.
> > So why I need to set the "-c" option in INSTALLFLAGS?    
> 
> - No specificic reason. As the generated Makefile just uses
>   "-c" option by default, I just added it.    

I see. I leave it just as it is.
Comment 9 Mamoru TASAKA 2010-01-21 12:24:13 EST
ping?
Comment 10 Akio Idehara 2010-01-22 12:49:59 EST
pong.

Sorry... I'm busy until the end of March.
But I want to make time to review other packages.
Comment 11 Akio Idehara 2010-01-23 22:47:02 EST
I reviewed bug 557776.
Comment 12 Mamoru TASAKA 2010-01-24 11:59:23 EST
(In reply to comment #11)
> I reviewed bug 557776.    

Well, okay.

-----------------------------------------------------------
    This package (xvkbd) is APPROVED by mtasaka
-----------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
After you request for sponsorship a mail will be sent to sponsor 
members automatically (which is invisible for you) which notifies 
that you need a sponsor. After that, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 10/11, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 13 Akio Idehara 2010-01-27 08:57:25 EST
New Package CVS Request
=======================
Package Name: xvkbd
Short Description: Virtual Keyboard for X Window System
Owners: idak
Branches: F-12
InitialCC:
Comment 14 Mamoru TASAKA 2010-01-27 09:26:38 EST
Please set fedora-cvs flag to ? (as now I am sponsoring you,
you should be able to set the flag)
Comment 15 Akio Idehara 2010-01-28 08:11:39 EST
Oh, sorry.
I forgot to set this flag.
Comment 16 Kevin Fenzi 2010-01-31 13:22:42 EST
CVS done (by process-cvs-requests.py).
Comment 17 Mamoru TASAKA 2010-02-01 04:40:15 EST
For F-12 please go to bodhi and submit push request.

https://admin.fedoraproject.org/updates/
Comment 18 Fedora Update System 2010-02-01 05:07:32 EST
xvkbd-3.0-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xvkbd-3.0-6.fc12
Comment 19 Mamoru TASAKA 2010-02-01 09:17:36 EST
Closing.
Comment 20 Fedora Update System 2010-02-03 10:43:30 EST
xvkbd-3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xvkbd-3.1-1.fc12
Comment 21 Fedora Update System 2010-02-05 13:30:04 EST
xvkbd-3.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xvkbd-3.1-3.fc12
Comment 22 Fedora Update System 2010-02-06 07:12:56 EST
xvkbd-3.1-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xvkbd-3.1-4.fc12
Comment 23 Mamoru TASAKA 2010-02-06 07:44:37 EST
You don't have to add this bug as the bug reference when
submitting new pkg on bodhi anymore.
Comment 24 Christopher Meng 2014-03-27 22:51:27 EDT
Package Change Request
======================
Package Name: xvkbd
New Branches: el6 epel7
Owners: cicku
Comment 25 Jon Ciesla 2014-03-28 08:44:39 EDT
Git done (by process-git-requests).